Subject: RE: [midcom] Wildcarding/reservations

From: "Jasson Casey" <[email-masked]>
Date: Wed, 26 Mar 2003 16:34:37 -0600

1. This is necessary. As I've mentioned before a typical signaling sequence only represents the destination ip/port for media streams. It can be very dangerous to assume asymmetric relationships between SDP in the INVITE/200. There are implementations that wildcarding is not necessary; however, there are also implementations where only port wildcarding would be necessary, and then applications where both port and ip wildcarding becomes necessary. I have noticed the need for port wildcarding with certain gateways, I have noticed the need for ip wildcarding with certain multi-interface gateways, and also in enhanced environments (announcement server sends a RTP flow that says, "you have 30 seconds left,").

2. I believe this is necessary. A MA/MB combination only has one opportunity to fail a call; on the initial outgoing request. If for whatever reason a failure scenario should occur during the successful final response (2XX) the MB/MA combination cannot do much to rectify the situation; except try to tear down the existing dialog(s). Reservation sounds like a good idea; however, it is really only a prediction (in this particular use case) of what will be necessary on the media descriptors in the final response. This could lead into tying these requirements together: MA ---> MB request(src_ip=*,src_p=*,dst_ip=*,dst_p=*), where the response states the status of the request (success/failure), and the MB_src_ip/p for particular media flow. Then the dst_x parameters would be modified with explicit addresses once they are learned. The exact purpose of this would be to prevent against MB exhaustion of pinhole resources. Again this is just a thought with a particular scenario, I'm su!
re there are other, better reasons.

Jasson Casey
[email-masked]

-----Original Message-----
From: Melinda Shore [mailto:[email-masked]]
Sent: Tuesday, March 25, 2003 5:37 PM
To: [email-masked]
Subject: [midcom] Wildcarding/reservations

These two issues have become intermingled in our discussions
of the semantics document, and so they may require
discussion together, at least at first.

There are two questions that need to be resolved for the
semantics document (and, indeed, for the protocol):

1) should the midcom protocol support wildcards?, and
2) should the process of installing a rule be broken into
   two steps, a reservation request and and a request to
   enable a reservation?

Thanks,

Melinda
_______________________________________________
midcom mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/midcom
_______________________________________________
midcom mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/midcom